## qt6-style-kvantum 1.1.2

=== Kvantum/style/CMakeLists.txt ===
set(QT5_MINIMUM_VERSION "5.15.0")
set(QT6_MINIMUM_VERSION "6.2.0")
set(KF5_MINIMUM_VERSION "5.82.0")
set(KF6_MINIMUM_VERSION "6.0.0")

if(NOT ENABLE_QT4)
  if(NOT ENABLE_QT5)
    set(QT_VERSION_MAJOR 6)
    find_package(Qt6 "${QT6_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets Svg)
    if(NOT WITHOUT_KF)
      find_package(KF6WindowSystem "${KF6_MINIMUM_VERSION}" REQUIRED)
    endif()
  else()
    set(QT_VERSION_MAJOR 5)
    find_package(Qt5 "${QT5_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets Svg X11Extras)
    if(NOT WITHOUT_KF)
      find_package(KF5WindowSystem "${KF5_MINIMUM_VERSION}" REQUIRED)
    endif()
  endif()
else()
  set(QT_VERSION_MAJOR 4)
  find_package(Qt4 4.8.7 REQUIRED)

  include(${QT_USE_FILE})
  add_definitions(${QT_DEFINITIONS})
endif()

find_package(X11 REQUIRED)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

#if (NOT QT_CMAKE_PREFIX_PATH)
#set(QT_CMAKE_PREFIX_PATH $ENV{QT_CMAKE_PREFIX_PATH})
#endif ()
#set(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH} ${QT_CMAKE_PREFIX_PATH})
#set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")

if(QT_VERSION_MAJOR EQUAL 6)
  get_target_property(REAL_QMAKE_EXECUTABLE Qt6::qmake
                      IMPORTED_LOCATION)
  execute_process(COMMAND "${REAL_QMAKE_EXECUTABLE}" -query QT_INSTALL_PLUGINS
                  OUTPUT_VARIABLE _Qt6_PLUGIN_INSTALL_DIR
                  ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
  set(KVANTUM_STYLE_DIR "${_Qt6_PLUGIN_INSTALL_DIR}/styles/")

  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                      ${Qt6Core_INCLUDE_DIRS} ${Qt6Widgets_INCLUDE_DIRS}
                      ${Qt6Gui_INCLUDE_DIRS} ${Qt6Svg_INCLUDE_DIRS}
                      ${X11_INCLUDE_DIR})
elseif(QT_VERSION_MAJOR EQUAL 5)
  get_target_property(REAL_QMAKE_EXECUTABLE ${Qt5Core_QMAKE_EXECUTABLE}
                      IMPORTED_LOCATION)
  execute_process(COMMAND "${REAL_QMAKE_EXECUTABLE}" -query QT_INSTALL_PLUGINS
                  OUTPUT_VARIABLE _Qt5_PLUGIN_INSTALL_DIR
                  ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
  set(KVANTUM_STYLE_DIR "${_Qt5_PLUGIN_INSTALL_DIR}/styles/")

  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                      ${Qt5Core_INCLUDE_DIRS} ${Qt5Widgets_INCLUDE_DIRS}
                      ${Qt5Gui_INCLUDE_DIRS} ${Qt5Svg_INCLUDE_DIRS}
                      ${Qt5X11Extras_INCLUDE_DIRS}
                      ${X11_INCLUDE_DIR})
else()
  set(KVANTUM_STYLE_DIR "${QT_PLUGINS_DIR}/styles/")

  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                      ${QT_INCLUDE_DIR} ${QT_QTSVG_INCLUDE_DIR}
                      ${X11_INCLUDE_DIR})
endif()

add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")

if(WITHOUT_KF)
  add_definitions(-DNO_KF)
endif()

if(QT_VERSION_MAJOR GREATER 4)
  set(kvantum_SOURCES
      Kvantum.cpp
      eventFiltering.cpp
      polishing.cpp
      rendering.cpp
      standardIcons.cpp
      viewItems.cpp
      KvantumPlugin.cpp
      shortcuthandler.cpp
      blur/blurhelper.cpp
      drag/windowmanager.cpp
      themeconfig/ThemeConfig.cpp
      animation/animation.cpp)
else()
  set(kvantum_SOURCES
      qt4/Kvantum4.cpp
      qt4/KvantumPlugin4.cpp
      qt4/shortcuthandler4.cpp
      qt4/blurhelper4.cpp
      qt4/windowmanager4.cpp
      qt4/x11wmmove4.cpp
      qt4/ThemeConfig4.cpp)
endif()

set(kvantum_RESOURCES themeconfig/defaulttheme.qrc)

add_library(kvantum SHARED ${kvantum_SOURCES} ${kvantum_RESOURCES})

if(NOT ENABLE_QT4)
  set(KDE_COLOR_DIR "${CMAKE_INSTALL_PREFIX}/share/color-schemes/")
else()
  set(KDE_COLOR_DIR "${CMAKE_INSTALL_PREFIX}/share/kde4/apps/color-schemes/")
endif()

if(QT_VERSION_MAJOR EQUAL 6)
  if(WITHOUT_KF)
    target_link_libraries(kvantum ${Qt6Core_LIBRARIES}
                                  ${Qt6Gui_LIBRARIES}
                                  ${Qt6Widgets_LIBRARIES}
                                  ${Qt6Svg_LIBRARIES}
                                  ${X11_LIBRARIES})
  else()
    target_link_libraries(kvantum ${Qt6Core_LIBRARIES}
                                  ${Qt6Gui_LIBRARIES}
                                  ${Qt6Widgets_LIBRARIES}
                                  ${Qt6Svg_LIBRARIES}
                                  ${X11_LIBRARIES}
                                  KF6::WindowSystem)
  endif()
elseif(QT_VERSION_MAJOR EQUAL 5)
  if(WITHOUT_KF)
    target_link_libraries(kvantum ${Qt5Core_LIBRARIES}
                                  ${Qt5Gui_LIBRARIES}
                                  ${Qt5Widgets_LIBRARIES}
                                  ${Qt5Svg_LIBRARIES}
                                  ${Qt5X11Extras_LIBRARIES}
                                  ${X11_LIBRARIES})
  else()
    target_link_libraries(kvantum ${Qt5Core_LIBRARIES}
                                  ${Qt5Gui_LIBRARIES}
                                  ${Qt5Widgets_LIBRARIES}
                                  ${Qt5Svg_LIBRARIES}
                                  ${Qt5X11Extras_LIBRARIES}
                                  ${X11_LIBRARIES}
                                  KF5::WindowSystem)
  endif()
else()
  target_link_libraries(kvantum ${QT_QTCORE_LIBRARY}
                                ${QT_QTGUI_LIBRARY}
                                ${QT_QTSVG_LIBRARY}
                                ${X11_LIBRARIES})
endif()

install(TARGETS kvantum LIBRARY DESTINATION ${KVANTUM_STYLE_DIR})
if(QT_VERSION_MAJOR EQUAL 6)
  install(FILES "${CMAKE_SOURCE_DIR}/color/Kvantum.colors" DESTINATION ${KDE_COLOR_DIR})
endif()

## qt6-style-kvantum 1.0.10

=== debian/changelog ===
qt6-style-kvantum (1.0.10-0.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 07 Mar 2024 10:38:58 -0800

qt6-style-kvantum (1.0.10-0ubuntu1~jammy1) jammy; urgency=medium

  * New upstream release.
  * Release for Launchpad - jammy

 -- Serhii Yeremenko <finalitik@gmail.com>  Tue, 31 Oct 2023 18:39:54 +0200

qt6-style-kvantum (1.0.10-0) unstable; urgency=medium

  * Initial release

 -- Serhii Yeremenko <finalitik@gmail.com>  Tue, 31 Oct 2023 16:33:42 +0200

=== debian/control ===
Source: qt6-style-kvantum
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Serhii Yeremenko <finalitik@gmail.com>
Section: x11
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgl1-mesa-dev,
               libqt6svg6-dev,
               qt6-tools-dev
Standards-Version: 4.6.2

Package: qt6-style-kvantum
Architecture: any
Depends: qt5-style-kvantum, ${misc:Depends}, ${shlibs:Depends}
Description: Qt6 component of the Kvantum theme engine
 Kvantum is an SVG-based theme engine for Qt5/Qt6, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the Qt6 component.

## qt6-style-kvantum 1.1.2

=== debian/changelog ===
qt6-style-kvantum (1.1.2-0ubuntu1) oracular; urgency=medium

  * New upstream release for Qt6 - package forked (LP: #2073930)
    - support for Qt5 dropped, Qt5 package still remains 

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 23 Jul 2024 12:07:54 -0700

qt5-style-kvantum (1.0.10-1build3) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5gui5t64,
    libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:48:33 +0200

qt5-style-kvantum (1.0.10-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:14:13 +0000

qt5-style-kvantum (1.0.10-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:45:35 +0000

qt5-style-kvantum (1.0.10-1) unstable; urgency=medium

  * New upstream version 1.0.10
  * debian/README.Debian: took how to use from INSTALL.md file.
    (Closes: #1004824)
  * debian/control: update team address.
  * debian/copyright: update.
  * Drop obsoleted debian/repack.sh.
  * debian/qt5-style-kvantum-themes.install: upstream dropped Openbox
    themes (Openbox's development stopped years ago).
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/control: cleanup build-deps.
  * debian/salsa-ci.yml: enable salsa-ci.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 13 Aug 2023 11:35:53 +0200

qt5-style-kvantum (1.0.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.
  * Bump Standards-Version to 4.6.2:
    * Add "Rules-Requires-Root: no" in d/control.
  * Update d/watch for GitHub.
  * Update d/lintian-overrides.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 05 Jan 2023 00:47:32 +0800

qt5-style-kvantum (1.0.3-1) unstable; urgency=medium

  * Fix debian/watch and we do not do repack anymore.
  * Added debian/upstream/signing-key.asc.
  * New upstream version 1.0.3
  * Added myself as Uploaders.
  * debian/copyright: drop repack comment as we don't need to do repack
    anymore.
  * Update debian/copyright.
  * debian/rules: specify source directory for dh.
  * debian/docs: correct path as now we use original upstream tarball
    instead of repack one.
  * debian/rules: avoid explicitly specifying -Wl,--as-needed linker flag.
  * debian/rules: drop --fail-missing argument which is now the default.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 23 Jul 2022 22:53:43 +0800

qt5-style-kvantum (1.0.0+repack-1) unstable; urgency=medium

  * New upstream version 1.0.0+repack
  * debian/copyright: Update copyright date
  * debian/control: Bump Standards-Version to 4.6.0

 -- S. 7 <severusseptimius7@gmail.com>  Sat, 05 Feb 2022 13:26:45 -0500

qt5-style-kvantum (0.18.0+repack-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.18.0+repack
  * debian/copyright: Update copyright date
  * debian/control:
    - Use debhelper 13
    - Bump Standards-Version to 4.5.1
  * debian/qt5-style-kvantum-themes.install: Remove kde4 app colorscheme

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 07 Jan 2021 22:46:45 +0800

qt5-style-kvantum (0.14.1+repack-1) unstable; urgency=medium

  * New upstream version 0.14.1+repack

 -- Alf Gaida <agaida@siduction.org>  Sat, 18 Jan 2020 15:12:47 +0100

qt5-style-kvantum (0.14.0+repack-1) unstable; urgency=medium

  * New upstream version 0.14.0+repack

 -- Alf Gaida <agaida@siduction.org>  Sun, 05 Jan 2020 17:56:19 +0100

qt5-style-kvantum (0.12.1+repack-1) unstable; urgency=medium

  * New upstream version 0.12.1.
  * Switched to gbp
  * Bumped standards to 4.4.1, no changes needed.
  * Added .gitignore

 -- Alf Gaida <agaida@siduction.org>  Sun, 05 Jan 2020 17:55:13 +0100

qt5-style-kvantum (0.11.2+repack-1) unstable; urgency=medium

  * Cherry-picked new upstream version 0.11.2.
  * Really bumped standards to 4.4.0, no changes needed.

 -- Alf Gaida <agaida@siduction.org>  Fri, 16 Aug 2019 19:40:57 +0200

qt5-style-kvantum (0.11.1+repack-2) unstable; urgency=medium

  * Switched to unstable - freeze is over.
  * Bumped standards to 4.4.0, no changes needed.
  * Added a .gitignore file

 -- Alf Gaida <agaida@siduction.org>  Wed, 10 Jul 2019 23:10:06 +0200

qt5-style-kvantum (0.11.1+repack-1) experimental; urgency=medium

  * Cherry-picked new upstream version 0.11.1.

 -- Alf Gaida <agaida@siduction.org>  Sat, 18 May 2019 01:35:58 +0200

qt5-style-kvantum (0.11.0+repack-1) experimental; urgency=medium

  * Cherry-picked new upstream version 0.11.0.
  * Marked qt5-style-kvantum-themes Multi-Arch: foreign
  * Switched to experimental

 -- Alf Gaida <agaida@siduction.org>  Wed, 01 May 2019 01:11:39 +0200

qt5-style-kvantum (0.10.9+repack-2) unstable; urgency=medium

  * Removed Franciscarlos Santos Soares <prof.franciscarlos@gmail.com> from
    Uploaders

 -- Alf Gaida <agaida@siduction.org>  Mon, 11 Feb 2019 01:32:37 +0100

qt5-style-kvantum (0.10.9+repack-1) unstable; urgency=medium

  * Cherry-picked new upstream version 0.10.9.
  * Replaced debhelper and compat with debhelper-compat (= 12)
  * Bumped standards to 4.3.0
  * Bumped copyright years.
  * Added build dependency libkf5windowsystem-dev

 -- Alf Gaida <agaida@siduction.org>  Wed, 06 Feb 2019 01:25:38 +0100

qt5-style-kvantum (0.10.8+repack-1) unstable; urgency=medium

  * Initial release (Closes: #889075)

 -- Alf Gaida <agaida@siduction.org>  Sat, 25 Aug 2018 14:49:31 +0200

## qt6-style-kvantum 1.1.3

=== Kvantum/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)
project(kvantum)
set(CMAKE_BUILD_TYPE Release)
add_definitions (-Wall)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX "/usr")
endif()

option(ENABLE_QT4 "Building Qt4 plugin." OFF)
option(ENABLE_QT5 "Building Qt5 plugin." OFF)
option(WITHOUT_KF "Compiling without KDE Frameworks..." OFF)

add_subdirectory(style)
if(NOT ENABLE_QT4)
  if(NOT ENABLE_QT5)
    add_subdirectory(kvantumpreview)
    add_subdirectory(kvantummanager)
    add_subdirectory(themes)
  endif()
endif()

=== Kvantum/kvantummanager/CMakeLists.txt ===
set(QT6_MINIMUM_VERSION "6.6.0")

find_package(Qt6 "${QT6_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets Svg)
find_package(Qt6 QUIET COMPONENTS LinguistTools)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                    ${Qt6Core_INCLUDE_DIRS}
                    ${Qt6Widgets_INCLUDE_DIRS}
                    ${Qt6Gui_INCLUDE_DIRS}
                    ${Qt6Svg_INCLUDE_DIRS})

add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")

set(KM_SOURCES
    main.cpp
    KvantumManager.cpp
    KvCommand.cpp
    svgicons.cpp)

set(KM_RESOURCES kvantummanager.qrc)

set(DESKTOP_FILE data/kvantummanager.desktop)

set(COMBO_HEADER combobox.h)

# Translations
if(Qt6LinguistTools_FOUND)
  file(GLOB TS_FILES data/translations/kvantummanager_*.ts)
  qt6_add_translation(QM_FILES ${TS_FILES})
  add_executable(kvantummanager ${COMBO_HEADER} ${KM_SOURCES} ${KM_RESOURCES} ${DESKTOP_FILE} ${QM_FILES})
  install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/kvantummanager/translations")
else(Qt6LinguistTools_FOUND)
  add_executable(kvantummanager ${COMBO_HEADER} ${KM_SOURCES} ${KM_RESOURCES} ${DESKTOP_FILE})
endif(Qt6LinguistTools_FOUND)

target_link_libraries(kvantummanager Qt6::Widgets Qt6::Core Qt6::Gui Qt6::Svg)

install(TARGETS kvantummanager RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

install(FILES ${DESKTOP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/applications")
install(FILES ${CMAKE_SOURCE_DIR}/kvantumpreview/data/kvantum.svg DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps")

=== Kvantum/themes/CMakeLists.txt ===
set(KVANTUM_THEME_DIR "${CMAKE_INSTALL_PREFIX}/share/Kvantum/")
set(KDE_COLOR_DIR "${CMAKE_INSTALL_PREFIX}/share/color-schemes/")

# CMAKE_CURRENT_LIST_DIR can be used too. The trailing slash means the contents.
install(DIRECTORY "${CMAKE_SOURCE_DIR}/themes/kvthemes/" DESTINATION ${KVANTUM_THEME_DIR})
install(DIRECTORY "${CMAKE_SOURCE_DIR}/themes/colors/" DESTINATION ${KDE_COLOR_DIR})

=== debian/changelog ===
qt6-style-kvantum (1.1.3-0ubuntu1) plucky; urgency=medium

  * New upstream release. 

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 17 Feb 2025 20:29:16 -0800

=== debian/control ===
Source: qt6-style-kvantum
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libkf6windowsystem-dev,
               libqt6svg6-dev,
               libgl-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://github.com/tsujan/Kvantum
Vcs-Browser: https://salsa.debian.org/lxqt-team/qt5-style-kvantum
Vcs-Git: https://salsa.debian.org/lxqt-team/qt5-style-kvantum.git
Rules-Requires-Root: no

Package: qt6-style-kvantum
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qt6-style-kvantum-themes | qt6-style-kvantum-theme
Recommends: qt6-style-kvantum-l10n
Description: Kvantum style engine (binaries)
 Kvantum is an SVG-based theme engine for Qt5/Qt6, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the application files.

Package: qt6-style-kvantum-l10n
Architecture: all
Section: localization
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qttranslations5-l10n
Description: Kvantum style engine (localization)
 Kvantum is an SVG-based theme engine for Qt5/Qt6, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the localization files.


Package: qt6-style-kvantum-themes
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: qt5-style-kvantum-theme
Description: Kvantum style engine (themes)
 Kvantum is an SVG-based theme engine for Qt5/Qt6, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the theme files.
